{"id":26901,"date":"2021-02-19T09:35:07","date_gmt":"2021-02-19T09:35:07","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=26901"},"modified":"2022-12-02T08:15:54","modified_gmt":"2022-12-02T08:15:54","slug":"get-batch-test-suites-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-batch-test-suites-api\/","title":{"rendered":"Get Batch Test Suites API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get the list of Batch Test Suites available for a bot.<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400\"><code>https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite?skip={skip}&amp;limit={limit}<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" rel=\"noopener noreferrer\" target=\"_blank\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Batch Tests Management<\/li>\n<li>Admin Console: Batch Tests Management<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<tr>\n<td><b>host<\/b><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotID<\/b><\/td>\n<td>Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>skip<\/b><\/td>\n<td>Number of records to skip before fetching.<\/td>\n<td>Optional<\/td>\n<\/tr>\n<tr>\n<td><b>limit<\/b><\/td>\n<td>The number of records to fetch.<\/td>\n<td>Optional<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\\r\n  https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite?skip={skip}&amp;limit={limit} \\\r\n  --header 'auth: {jwt-token}' \\\r\n  --header 'bot-language: {language-code}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<p>No body parameters are passed.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/b><\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">{\r\n    \"count\": 36,\r\n    \"moreAvailable\": true,\r\n    \"ts-2xxxxxxc-exx0-5fxx-bxx2-3xxxxxxxxxxf\": {\r\n        \"testSuiteType\": \"custom\",\r\n        \"name\": \"sdsa\",\r\n        \"description\": \"dfgfd\",\r\n        \"results\": [\r\n            {\r\n                \"_id\": \"ts-2xxxxxxc-exx0-5fxx-bxx2-3xxxxxxxxxxf\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-e1xxxxxx-8cxx-5xx4-8xx8-ecxxxxxxxxxd\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-0xxxxxx9-4xx9-5xxa-9xx5-c8xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-a1xxxxxx-6xx3-5xx2-8xxa-35xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-1axxxxxx-0axx-54xx-8xxc-8fxxxxxxxxb\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-8xxxxxxa-3xx2-5xxe-98xx-83xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-2bxxxxxx-abxx-5xxb-9xx9-75xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-7xxxxxx0-2xx5-5xx4-b3xx-8fxxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 1,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 1,\r\n                    \"success\": 1,\r\n                    \"failure\": 1,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.50\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"0.67\"\r\n            }\r\n        ]\r\n    },\r\n    \"Last100sentences\": {\r\n        \"testSuiteType\": \"prebuilt\",\r\n        \"results\": [\r\n            {\r\n                \"_id\": \"tx-dbxxxxxx-4xx5-5xx2-8xxc-baxxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-8xxxxxx0-exxa-5xx6-8xx9-ddxxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-7xxxxxx6-6xxa-5xxa-axx8-7xxxxxxxxxxa\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-2xxxxxx5-1exx-5xx4-8xx7-2xxxxxxxxxx4\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-4xxxxxx4-exx5-5xxf-8xx4-2xxxxxxxxxx9\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 3,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 3,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-0xxxxxxb-exx4-5xx9-bxx2-dxxxxxxxxxxa\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            }\r\n        ]\r\n    },\r\n    \"AllMlUtterances\": {\r\n        \"testSuiteType\": \"prebuilt\",\r\n        \"results\": [\r\n            {\r\n                \"_id\": \"tx-exxxxxx5-1xx7-59xx-8xxa-c6xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-2xxxxxx9-1xx2-5xxc-axx0-a8xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-1xxxxxx2-8xxc-5xx4-bxx9-7xxxxxxxxxx7\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-c1xxxxxx-fexx-5axx-8xx8-79xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-3xxxxxx6-9xx3-5xx9-8xxc-eexxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tx-8exxxxxx-cbxx-5xxb-axx0-15xxxxxxxxxx\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            }\r\n        ]\r\n    }\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the list of Batch Test Suites available for a bot. &nbsp; Method GET Endpoint https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite?skip={skip}&amp;limit={limit} Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Batch Tests Management Admin Console: Batch Tests Management &nbsp; Path Parameters Parameter Description Mandate host The environment URL. For example, https:\/\/bots.kore.ai...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-26901","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26901","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=26901"}],"version-history":[{"count":7,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26901\/revisions"}],"predecessor-version":[{"id":49518,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26901\/revisions\/49518"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=26901"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=26901"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=26901"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}